/***************************************************************************
                          kap_backendselector.h  -  description
                             -------------------
    begin                : Mon Jan 31 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KAP_BACKENDSELECTOR_H
#define KAP_BACKENDSELECTOR_H

#include <qwidget.h>
#include <kwizard.h>


#include "kap_wizardpage.h"



/**
  *@author jec
  */


class QRadioButton;
class QButtonGroup;

class Kap_BackendSelector : public Kap_WizardPage
{
   Q_OBJECT
public: 
	Kap_BackendSelector(QWidget *parent=0, const char *name=0);
	~Kap_BackendSelector();
	
	Kap_Main::e_PageType getNextPage(QString& message, bool fake = false);
	
	Kap_Main::e_PageType getType() const;

	bool initialize();
	void enableClass(bool on = true);
	
protected:
	Kap_Main::e_PageType getNextPageAfterDetection();
	
private:
	QButtonGroup* group_;
	
	QRadioButton* class_;
	QRadioButton* parallel_;
	QRadioButton* serial_;
	QRadioButton* ipp_;
	QRadioButton* smb_;
	QRadioButton* lpd_;
	QRadioButton* socket_;
	QRadioButton* local_;
	QRadioButton*	file_;
	
	bool	initialized_;
};

#endif
