/***************************************************************************
                          kups_configdialog.h  -  description
                             -------------------
    begin                : Fri Jan 5 2001
    copyright            : (C) 2001 by Michael Goffioul
    email                : goffioul@imec.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KUPS_CONFIGDIALOG_H
#define KUPS_CONFIGDIALOG_H

#include <qwidget.h>
#include <kdialogbase.h>

/**
  *@author Michael Goffioul
  */

class OptionsServerPage;
class OptionsTimerPage;
class OptionsDirsPage;
class OptionsTestPage;
class Kups_Infos;

class Kups_ConfigDialog : public KDialogBase  {
	Q_OBJECT
public:
	Kups_ConfigDialog(QWidget *parent=0, const char *name=0);
	~Kups_ConfigDialog();
	void initDialog();
protected:
	void createDialog();
protected slots:
	virtual void slotOk();
private:
	OptionsServerPage	*server_;
	OptionsTimerPage	*timer_;
	OptionsDirsPage		*dirs_;
	OptionsTestPage		*test_;
};

#endif
