#ifndef KUPS_PRINTERINFO
#define	KUPS_PRINTERINFO

#include <qwidget.h>

class QLabel;
class QListViewItem;
class KPrinter;
class Kups_PrinterItem;

class Kups_PrinterInfo : public QWidget
{
	Q_OBJECT;
public:
	Kups_PrinterInfo(QWidget *parent = 0, const char *name = 0);
	~Kups_PrinterInfo();

public slots:
	void printerSelected(QListViewItem *item);

protected:
	void initWidget();
	void updateWidget();

private:
	QLabel	*nameLabel_;
	QLabel	*typeLabel_;
	QLabel	*descrLabel_;
	QLabel	*locLabel_;
	QLabel	*stateLabel_;
	QLabel	*stateIconLabel_;
	QLabel	*deviceUriLabel_;
	QLabel	*makeAndModelLabel_;
	QLabel	*ippUriLabel_;
	QLabel	*devMembersLabel_;
	QLabel	*bannersLabel_;

	KPrinter	*currentPrinter_;
	Kups_PrinterItem	*item_;
};

#endif
