#ifndef CUPSDSERVERMISCPAGE_H
#define CUPSDSERVERMISCPAGE_H

#include "cupsdpage.h"

class QLineEdit;
class QDirLineEdit;
class QCheckBox;
class CupsdOption;

class CupsdServerMiscPage : public CupsdPage
{
public:
	CupsdServerMiscPage(QWidget *parent = 0, const char *name = 0);
	~CupsdServerMiscPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	QCheckBox	*preservejobhistory_;
	QCheckBox	*preservejobfiles_;
	QDirLineEdit	*printcap_;
	QLineEdit	*ripcache_;
	QLineEdit	*filterlimit_;

	CupsdOption	*opt_[5];
};

#endif
