/***************************************************************************
                          kap_explaination.cpp  -  description
                             -------------------
    begin                : Mon Jan 31 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include <qlabel.h>
#include <qlayout.h>
#include <qpixmap.h>
#include <klocale.h>

#include "kap_explaination.h"
#include "kprinterdescription.h"


Kap_Explaination::Kap_Explaination(QWidget *parent, const char *name )
:Kap_WizardPage(parent,name)
{
	setTitle(i18n("New printer installation"));

	QVBoxLayout	*layout_ = new QVBoxLayout(this, 0, 0);
	label_ = new QLabel(this);
	label_->setText(i18n("<p>Welcome,</p><br>"
		"<p>This wizard will help to install a new printer on your computer. "
		"It will guides you through the various steps of the process of installing "
		"and configuring a printer for the CUPS printing system. At each step, you "
		"can always go back using the <b>Back</b> button.</p><br>"
		"<p>We hope you'll enjoy KUPS !</p><br>"
		"<p align=right><i>The KUPS team</i></p>"));
	layout_->addWidget(label_);
}
Kap_Explaination::~Kap_Explaination()
{
}

bool Kap_Explaination::hasPrevPage()
{
	return false;
}
bool Kap_Explaination::hasNextPage()
{
	return true;
}

Kap_Main::e_PageType Kap_Explaination::getNextPage(QString&, bool)
{
        return Kap_Main::BackendSelector;
}

Kap_Main::e_PageType Kap_Explaination::getType() const
{
	return Kap_Main::Explaination;
}

bool Kap_Explaination::canNextPage(QString&)
{
	KPrinterDescription::get()->reset();
        return true;
}
