/***************************************************************************
                          kap_wizardpage.cpp  -  description
                             -------------------
    begin                : Tue Feb 1 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kap_wizardpage.h"

Kap_WizardPage::Kap_WizardPage(QWidget *parent, const char *name )
:QWidget(parent,name)
{
	setMinimumSize(200, 200);
	setMaximumSize(32000, 32000);
}
Kap_WizardPage::~Kap_WizardPage()
{
}

bool Kap_WizardPage::initialize()
{
	return true;
}

bool Kap_WizardPage::hasPrevPage()
{
	return true;
}
bool Kap_WizardPage::hasNextPage()
{
	return true;
}
	
bool Kap_WizardPage::slotOk()
{
	return true;
}
bool Kap_WizardPage::slotCancel()
{
	return false;
}

bool Kap_WizardPage::hasOkButton()
{
	return false;
}
bool Kap_WizardPage::hasCancelButton()
{
	return true;
}

bool Kap_WizardPage::canNextPage(QString& msg)
{
	msg = "";
	return true;
}

Kap_Main::e_PageType Kap_WizardPage::getType() const
{
	return Kap_Main::Invalid;
}
	
Kap_Main::e_PageType Kap_WizardPage::getNextPage(QString&, bool)
{
	return Kap_Main::Invalid;
}

const QString& Kap_WizardPage::getTitle() const
{
	return title_;
}
void Kap_WizardPage::setTitle(const QString& str)
{
	title_ = str;
}
