/***************************************************************************
                          kups_jobitem.h  -  description
                             -------------------
    begin                : Mon Dec 13 1999
    copyright            : (C) 1999 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KUPS_JOBITEM_H
#define KUPS_JOBITEM_H

#include <qwidget.h>
#include <qlistview.h>


#include "kups_printeritem.h"


/**
  *@author jec
  */



class KJob;

class Kups_JobItem : public Kups_ListItem
{
public:
	Kups_JobItem(QListView* parent);
	Kups_JobItem(QListViewItem* parent);
	~Kups_JobItem();
	
	KJob* getJob() { return job_; };
	void setJob(KJob* job) { job_ = job; };
	
	QString text ( int column ) const;
	
private:
	KJob* job_;
};

#endif
