/***************************************************************************
                          optionsdirspage.h  -  description
                             -------------------
    begin                : Thu Jan 4 2001
    copyright            : (C) 2001 by Michael Goffioul
    email                : goffioul@imec.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OPTIONSDIRSPAGE_H
#define OPTIONSDIRSPAGE_H

#include <qwidget.h>
#include <optionsdirsbase.h>

/**
  *@author Michael Goffioul
  */

class OptionsDirsPage : public OptionsDirsPageBase  {
   Q_OBJECT
public: 
	OptionsDirsPage(QWidget *parent=0, const char *name=0);
	~OptionsDirsPage();
protected slots:
  virtual void slotBrowseConfig();
  virtual void slotBrowseDrivers();
  virtual void slotBrowseRoot();
	virtual void slotRootChanged(const QString&);
};

#endif
