#ifndef CUPSDBROWSINGRELAYPAGE_H
#define CUPSDBROWSINGRELAYPAGE_H

#include "cupsdpage.h"

class CupsRelay;
class CupsdOption;

class CupsdBrowsingRelayPage : public CupsdPage
{
public:
	CupsdBrowsingRelayPage(QWidget *parent = 0, const char *name = 0);
	~CupsdBrowsingRelayPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	CupsRelay	*browserelay_;

	CupsdOption	*opt_[1];
};

#endif
