#ifndef CUPSDNETWORKCLIENTSPAGE_H
#define CUPSDNETWORKCLIENTSPAGE_H

#include "cupsdpage.h"

class QLineEdit;
class QCheckBox;
class CupsdOption;

class CupsdNetworkClientsPage : public CupsdPage
{
public:
	CupsdNetworkClientsPage(QWidget *parent = 0, const char *name = 0);
	~CupsdNetworkClientsPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	QCheckBox	*keepalive_;
	QLineEdit	*keepalivetimeout_;
	QLineEdit	*maxclients_;

	CupsdOption	*opt_[3];
};

#endif
