#ifndef CUPSDSERVERHTTPPAGE_H
#define CUPSDSERVERHTTPPAGE_H

#include "cupsdpage.h"

class QLineEdit;
class QDirLineEdit;
class QComboBox;
class CupsdOption;

class CupsdServerHTTPPage : public CupsdPage
{
public:
	CupsdServerHTTPPage(QWidget *parent = 0, const char *name = 0);
	~CupsdServerHTTPPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	QLineEdit	*defaultcharset_;
	QLineEdit	*defaultlanguage_;
	QDirLineEdit	*documentroot_;

	CupsdOption	*opt_[3];
};

#endif
