#include "cupsrelay.h"

#include <klocale.h>

CupsRelay::CupsRelay(QWidget *parent, const char *name)
	: CupsListBox(2,parent,name)
{
	setColumnText(0, i18n("From"));
	setColumnText(1, i18n("To"));
	setAddMessage(i18n("From"), 0);
	setAddMessage(i18n("To"), 1);
}

CupsRelay::~CupsRelay()
{
}

QString CupsRelay::relayFrom(int index)
{
	return text(index, 0);
}

QString CupsRelay::relayTo(int index)
{
	return text(index, 1);
}

void CupsRelay::addRelay(const QString& from, const QString& to)
{
	QStringList	list;
	list.append(from);
	list.append(to);
	insertItem(list);
}
